Package sop.operation

# Interface RevokeKey

public interface RevokeKey

## Method Summary

Modifier and Type
Method
Description
`default Ready`
`keys(byte[] bytes)`
`Ready`
`keys(InputStream keys)`
`RevokeKey`
`noArmor()`
Disable ASCII armor encoding.
`RevokeKey`
`withKeyPassword(byte[] password)`
Provide the decryption password for the secret key.
`default RevokeKey`
`withKeyPassword(String password)`
Provide the decryption password for the secret key.

## Method Details

### noArmor

RevokeKey noArmor()
Disable ASCII armor encoding.

Returns:
  builder instance

### withKeyPassword

default RevokeKey withKeyPassword(String password) throws SOPGPException.UnsupportedOption, SOPGPException.PasswordNotHumanReadable
Provide the decryption password for the secret key.

Parameters:
  `password` - password
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption` - if the implementation does not support key passwords
  `SOPGPException.PasswordNotHumanReadable` - if the password is not human-readable

### withKeyPassword

RevokeKey withKeyPassword(byte[] password) throws SOPGPException.UnsupportedOption, SOPGPException.PasswordNotHumanReadable
Provide the decryption password for the secret key.

Parameters:
  `password` - password
Returns:
  builder instance
Throws:
  `SOPGPException.UnsupportedOption` - if the implementation does not support key passwords
  `SOPGPException.PasswordNotHumanReadable` - if the password is not human-readable

### keys

default Ready keys(byte[] bytes)

### keys

Ready keys(InputStream keys)